Package mvpa :: Package misc :: Package io :: Module base

[hide private]
[frames] | no frames]

# Module base

source code

Some little helper for reading (and writing) common formats from and to disk.

Classes | [hide private]

| DataReader Base class for data readers.
| ColumnData Read data that is stored in columns of text files.
| SampleAttributes Read and write PyMVPA sample attribute definitions from and to text files.
| SensorLocations Base class for sensor location readers.
| XAVRSensorLocations Read sensor location definitions from a specific text file format.
| TuebingenMEGSensorLocations Read sensor location definitions from a specific text file format.

Functions | [hide private]

design2labels(columndata, baseline_label=0, func=lambda x: x > 0.0) Helper to convert design matrix into a list of labels | source code

labels2chunks(labels, method="alllabels", ignore_labels=None) | source code

Variables | [hide private]

| __known_chunking_methods = `{'alllabels': 'Each chunk must cont`...``

Imports: N, copy, enhancedDocString, re_sub, warning, Event, debug

Function Details | [hide private]

### design2labels(columndata, baseline_label=0, func=lambda x: x > 0.0)

source code

Helper to convert design matrix into a list of labels

Given a design, assign a single label to any given sample

TODO: fix description/naming

Parameters:
  - `columndata` (ColumnData) - Attributes where each known will be considered as a separate explanatory variable (EV) in the design.
  - `baseline_label` - What label to assign for samples where none of EVs was given a value
  - `func` (functor) - Function which decides either a value should be considered

Variables Details | [hide private]

### __known_chunking_methods

Value:

      {'alllabels': 'Each chunk must contain instances of all labels'}